package de.twenty11.skysail.common.ext.dbviewer;

import java.util.Collections;
import java.util.List;

import de.twenty11.skysail.common.forms.ValuesProvider;

public class JdbcDriverNames implements ValuesProvider {
    
    private static ValuesProvider valuesProvider;
    
    public synchronized void set(ValuesProvider vp) {
        valuesProvider = vp;
    }
    public synchronized void unset(ValuesProvider r) {
        valuesProvider = null;
    }
    @Override
    public List<String> getValues() {
        if (valuesProvider != null) {
            return valuesProvider.getValues();
        }
        return Collections.emptyList();
    }

}
