package de.twenty11.skysail.common.ext.dbviewer;

import java.util.List;

import org.restlet.resource.Get;

import de.twenty11.skysail.common.responses.SkysailResponse;

/**
 * Restful Http Service for Connections.
 * 
 */
public interface RestfulTables {

    /**
     * Returns a GridData Object (which is wrapped in a SkysailResponse) with all available Connections.
     * 
     * @param variant
     * @return a subclass of SkysailResponse.
     */
    @Get
    public SkysailResponse<List<TableDetails>> getTables();


}
